/* Reminder.h created by wjabi on Sat 17-Jan-1998 */

#import <AppKit/AppKit.h>

@interface Reminder : NSObject
{
    NSString *reminderString;
    BOOL      repeats;
    NSTimer  *timer;
}

- (void) setStringValue:(NSString *)aString;
- (NSString *) stringValue;
- (void) setRepeats:(BOOL)repeats;
- (BOOL) getRepeats;
- (void) cancelReminder;
- (BOOL) getValid;
- (id) setReminder:(long)seconds :target :(SEL)aSelector :(BOOL)repeatValue :(NSString *)aString;
- (NSTimeInterval) remainingTime;
@end
