#import <AppKit/AppKit.h>

@interface ReminderController : NSObject
{
    id hoursField;
    id minutesField;
    id reminderInField;
    id reminderMessageField;
    id remindersTable;
    id secondsField;
    id hoursSlider;
    id minutesSlider;
    id secondsSlider;
    id switchBox;
    id changeButton;
    id deleteButton;

    NSMutableArray *reminderArray;
    BOOL repeats;
}
- (void)applicationDidFinishLaunching:(NSNotification *)notification;
- (int)numberOfRowsInTableView:(NSTableView *)theTableView;
- (id)tableView:(NSTableView *)theTableView objectValueForTableColumn: (NSTableColumn *)theColumn row:(int)rowIndex;
- (void)addReminder:(id)sender;
- (BOOL)addReminder:(id)sender atIndex:(int)rowIndex;
- (void)deleteReminderIdenticalTo:(id)aReminder;
- (void)deleteSelectedReminder:(id)sender;
- (void)updateReminder:(id)sender;
- (void)setRepeat:(id)sender;
- (void)showReminderPanel:(NSTimer *)sender;
- (void)updateControls;

    long ConvertTimeToSeconds(int hr, int min, int sec);
    void ConvertSecondsToTime(long totalSeconds, int *hours, int *minutes, int *secs);
@end
